Subject: bug#40196: Icecat is not playnig sounds when runs from Xfce4 session in Guix

From: [email-masked]
Date: Mon, 23 Mar 2020 17:43:52 +0100 (CET)

Hello, developers of Gnuzilla!
I noticed an inconvenient bug. I use OS Guix LinuxLibre 5, with Xfce4, Xorg, Alsa, Pavucontrol.
Icecat 68.5.0esr (64-bit) does not play sounds if I restart PC storing the Xfce4 session where Icecat was open. After reboot Icecat starts from Xfce4 session (also as terminal and pcmanfm) and does not play sounds, only video. After close and open again Icecat does play sounds very well. All preset extensions are disabled, so I do not use any extension plugin or theme.
Please, what happens?

My guix config is attached, system environment below:

PC Dell Vostro 3670, Core i5 9400, Nvidia Geforce gt 710, 

# lshw
...
 *-core
       description: Motherboard
       product: 0FPP7F
       vendor: Dell Inc.
       physical id: 0
       version: A00
       serial: /xx000xxxx0000xxxx/
     *-firmware
          description: BIOS
          vendor: Dell Inc.
          physical id: 0
          version: 2.13.0
          date: 05/29/2019
          size: 64KiB
          capacity: 15MiB
          capabilities: pci pnp upgrade shadowing cdboot bootselect edd int13floppy1200 int13floppy720 int13floppy2880 int5printscreen int9keyboard int14serial int17printer acpi usb biosbootspecification netboot uefi
...

# lspci
00:00.0 Host bridge: Intel Corporation 8th Gen Core Processor Host Bridge/DRAM Registers (rev 0d)
00:01.0 PCI bridge: Intel Corporation Xeon E3-1200 v5/E3-1500 v5/6th Gen Core Processor PCIe Controller (x16) (rev 0d)
00:02.0 Display controller: Intel Corporation UHD Graphics 630 (Desktop 9 Series) (rev 02)
00:08.0 System peripheral: Intel Corporation Xeon E3-1200 v5/v6 / E3-1500 v5 / 6th/7th/8th Gen Core Processor Gaussian Mixture Model
00:12.0 Signal processing controller: Intel Corporation Cannon Lake PCH Thermal Controller (rev 10)
00:14.0 USB controller: Intel Corporation Cannon Lake PCH USB 3.1 xHCI Host Controller (rev 10)
00:14.2 RAM memory: Intel Corporation Cannon Lake PCH Shared SRAM (rev 10)
00:16.0 Communication controller: Intel Corporation Cannon Lake PCH HECI Controller (rev 10)
00:17.0 SATA controller: Intel Corporation Cannon Lake PCH SATA AHCI Controller (rev 10)
00:1c.0 PCI bridge: Intel Corporation Cannon Lake PCH PCI Express Root Port #5 (rev f0)
00:1c.5 PCI bridge: Intel Corporation Cannon Lake PCH PCI Express Root Port #6 (rev f0)
00:1c.7 PCI bridge: Intel Corporation Cannon Lake PCH PCI Express Root Port #8 (rev f0)
00:1f.0 ISA bridge: Intel Corporation Device a308 (rev 10)
00:1f.3 Audio device: Intel Corporation Cannon Lake PCH cAVS (rev 10)
00:1f.4 SMBus: Intel Corporation Cannon Lake PCH SMBus Controller (rev 10)
00:1f.5 Serial bus controller [0c80]: Intel Corporation Cannon Lake PCH SPI Controller (rev 10)
01:00.0 VGA compatible controller: NVIDIA Corporation GK208B [GeForce GT 710] (rev a1)
01:00.1 Audio device: NVIDIA Corporation GK208 HDMI/DP Audio Controller (rev a1)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller (rev 15)
03:00.0 PCI bridge: Integrated Technology Express, Inc. IT8893E PCIe to PCI Bridge (rev 41)
05:00.0 Network controller: Qualcomm Atheros QCA9565 / AR9565 Wireless Network Adapter (rev 01)
# lsusb
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 004: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller
Bus 001 Device 002: ID 0cf3:9271 Qualcomm Atheros Communications AR9271 802.11n
Bus 001 Device 006: ID 24ae:1100 ATHEROS USB2.0 WLAN
Bus 001 Device 005: ID 0cf3:e005 Qualcomm Atheros Communications 
Bus 001 Device 007: ID 25a7:2402  
Bus 001 Device 003: ID 1a40:0101 Terminus Technology Inc. Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

$ uname -a
Linux antelope 5.4.27-gnu #1 SMP 1 x86_64 GNU/Linux
$ guix describe
Generation 2    Mar 22 2020 18:07:15    (current)
  guix 363989e
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 363989e6689068daeca81b442358b183b7d983d1
$ icecat -v
GNU IceCat 68.6.0esr
$ guix package -I | awk -F '\t' '{print $1, $2}' 
torsocks 2.3.0
font-cns11643 98.1.20180605
font-wqy-microhei 0.2.0-beta
unzip 6.0
netcat 0.7.1
make 4.2.1
zip 3.0
gnome-icon-theme 3.12.0
htop 2.2.0
ncdu 1.14.2
lm-sensors 3.6.0
glibc-utf8-locales 2.29
icecat 68.6.0-guix0-preview1
gimp 2.10.18
libreoffice 6.4.1.2
tor 0.4.2.7
openshot 2.4.4
gedit 3.32.2
geany 1.36
leafpad 0.8.18.1
emacs 26.3
audacity 2.3.3
mpv 0.32.0
youtube-dl 2020.03.08
vlc 3.0.8
mplayer 1.4
ffmpeg 4.2.2
ungoogled-chromium 80.0.3987.149-0.516e2d9
evince 3.34.2
fbreader 0.99.6
imagemagick 6.9.10-95
filezilla 3.42.1
pavucontrol 3.0
file-roller 3.32.3
openssl 1.1.1c
python 3.7.4
curl 7.65.3
pcmanfm 1.3.1
font-adobe-source-han-sans 1.004
gpicview 0.2.5